## libyami-utils 1.3.0

=== tests/egl/Makefile ===
all:
	gcc gles2_help.c simple-gles2.c -g -o simple-gles2 `pkg-config --cflags --libs x11 egl glesv2 gl` -DUSE_INTERNAL_LOG
clean:
	rm -f simple-gl

## libyami-utils 1.0.1

=== debian/changelog ===
libyami-utils (1.0.1-1) unstable; urgency=low

  [ Xu Guagnxin ]
  * Initial release (Closes: #834705)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 25 Nov 2016 15:18:32 +0100

=== debian/control ===
Source: libyami-utils
Section: utils
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Xu Guagnxin <Guangxin.Xu@intel.com>, Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 10),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libbsd-dev,
 libva-dev,
 libwayland-dev,
 libx11-dev,
 libyami-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: https://github.com/01org/libyami-utils
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libyami-utils.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libyami-utils.git

Package: libyami-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-level abstraction for Video Acceleration (VA) API (utils)
 Video Acceleration API (VA API) is a library ("libVA") and API specification
 which enables and provides access to graphics hardware (GPU) acceleration for
 video processing on Linux and UNIX based operating systems. Accelerated
 processing includes video decoding, video encoding, subpicture blending and
 rendering. libyami builds on top of libva, and provides high level API for
 video processing. It will help with bitstream parsing, reference frame
 management, etc.
 .
 This package provides decoder/encoder/vpp programs using libyami.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-wayland \
		--enable-avformat

override_dh_install:
	dh_install
	rm debian/libyami-utils/usr/bin/psnr debian/libyami-utils/usr/bin/simpleplayer

=== debian/watch ===
version=4
https://github.com/01org/libyami/tags (?:.*?/)?libyami-(\d[\d.]*)\.tar\.gz

## libyami-utils 1.1.0

=== debian/changelog ===
libyami-utils (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump libyami-dev B-D to 1.1.0.
  * debian/*.1: Remove manpages, now included upstream.
  * debian/rules: Do not build with GLES tests enabled.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Jan 2017 22:07:39 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libva-dev,
  libwayland-dev,
  libx11-dev,
- libyami-dev,
+ libyami-dev (>= 1.1.0),
  pkg-config
 Standards-Version: 3.9.8
 Homepage: https://github.com/01org/libyami-utils

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--enable-wayland \
-		--enable-avformat
+		--enable-avformat \
+		--disable-tests-gles
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libyami-utils-$1.tar.gz%" \
https://github.com/01org/libyami-utils/tags (?:.*?/)?(\d[\d.]*)\.tar\.gz

## libyami-utils 1.3.0

=== debian/changelog ===
libyami-utils (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standard-Version.
    - Bump libyami-dev B-D.
  * debian/{control,rules}: Enable GLES support. (Closes: #878265)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Nov 2017 22:59:05 +0100

libyami-utils (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standard-Version.
    - Bump libyami-dev B-D.
  * debian/copyright: Remove unused paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 29 Aug 2017 00:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,14 @@
  libavformat-dev,
  libavutil-dev,
  libbsd-dev,
+ libegl1-mesa-dev,
+ libgles2-mesa-dev,
  libva-dev,
  libwayland-dev,
  libx11-dev,
- libyami-dev (>= 1.1.0),
+ libyami-dev (>= 1.3.0),
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/01org/libyami-utils
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libyami-utils.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libyami-utils.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh_auto_configure -- \
 		--enable-wayland \
 		--enable-avformat \
-		--disable-tests-gles
+		--enable-tests-gles
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=4
https://github.com/01org/libyami-utils/tags (?:.*?/)?libyami-(\d[\d.]*)\.tar\.gz
